<?php

namespace App\Http\Controllers\Admin\Authentication;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\LoginRequest;
use App\Http\Resources\Admin\Auth\LoginAdminResource;
use App\Repositories\Admin\AuthenticationRepository;
use App\Traits\ApiResponser;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;


class LoginController extends Controller
{
    use ApiResponser;
    public function login(Request $request,LoginRequest $loginRequest, AuthenticationRepository $repository)
    {
//        if ()
//    return "jjjj";
        $admin['data'] = $repository->login($request['email']);
        if (!$admin['data'])
            return $this->onFaile('your email or password wrong');
//        return  $repository->login($request['email']);
        if (!$admin['data']['admin'] || !Hash::check($request['password'], $admin['data']['admin'] ->password)) {
            return $this->successResponse(false, null, 'your email or password wrong!');
        }
        $admin['token']= $admin['data']['admin'] ->createToken('API Token')->plainTextToken;
        return $this->successResponse(true,new LoginAdminResource($admin), 'login');
    }
}
