<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Mojtaba\Chatable\Models\Group;

class Tag extends Model
{
    use HasFactory;
    protected $table = 'tags';
    protected $guarded = ['id'];

    public function groups()
    {
        return $this->belongsTo(Group::class, 'group_id');
    }

    public function client()
    {
        return $this->morphTo('client');
    }

}
