<?php

namespace App\Repositories;

use App\Models\JobTitle;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
//use Your Model

/**
 * Class JobTitleRepository.
 */
class JobTitleRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return JobTitle::class;
    }

    public function findJob($jobTitle)
    {
        $job = JobTitle::where('title', $jobTitle)->first();
        return $job;
    }
    public function findJobId($jobTitle)
    {
//        return 1;
        $job = JobTitle::where('id', $jobTitle)->first();
        return $job;
    }
}
