<?php

namespace App\Http\Requests\Client;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Str;

class ProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $stringUrl = url()->current();
        $role = Str::contains($stringUrl, 'user') ? 'User' : 'Company';
        $route = Route::current()->getName();
        $actionName = $route .$role;
        if ($actionName == 'completeInformationUser'){
            return [
                'first_name' => ['required', 'min:3', 'max:50', 'regex:/^[a-zA-Z\s]+$/'],
                'last_name' => ['required', 'min:3', 'max:50', 'regex:/^[\pL\s\-]+$/us'],
                'phone_number' => ['required', 'max:20']
            ];
        }
        elseif ($actionName == 'completeInformationCompany'){

        }

    }
}
