<?php

namespace App\Http\Resources;

use App\Http\Resources\Project\ImageProjectOneResource;
use Illuminate\Http\Resources\Json\JsonResource;

class ListProjectOnlyShowResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['id'=>$this->id,
            'reference_number'=>$this->reference_number,'name'=>$this->name,'image'=>ImageListProjectOnlyShowResource::collection($this['images'])->first()];
    }
}
