<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class RepliesCommentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
            'id'=>$this->client->id??"",
            'name'=>$this->client->name??"",
            'last_name'=>$this->client->last_name??"",
            'image'=>$this->client->image??"",
            'industry'=>$this->client->jobTitle->title??"",
            'text'=>$this->text,
            'rate'=>$this->rate
        ];
    }
}
