<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ShowCommentNotRegisterResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['text'=>$this->text,'rate'=>$this->rate,
            'name'=>$this->client->name??null,
            'last_name'=>$this->client->last_name??null,
            'image'=>$this->client->image??null,
            'industry'=>$this->client->jobTitle->title??null,
            ];
    }
}
