<?php

namespace App\Http\Resources;

use App\Models\SkillJob;
use Illuminate\Http\Resources\Json\JsonResource;

class ShowJobResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        dd($this);
//        return parent::toArray($request);
//        return $this->id;
//        return SkillJob::where('job_id',$this->id)->get();
        return [
//            'id'=>$this->id,
            'experience'=>$this->experience,
            'description'=>$this->description,
            'phone_number'=>$this->phone_number,
            'job_title'=>$this->job_title->title??"",
//            'client'=>$this->client->email??"",
            'client_job_title'=>$this->client->job_title->title??"",
            'email'=>$this->client->email??"",
            'rate'=>$this->rate->rate??0,
            'name'=>$this->client->name??"",
            'last_name'=>$this->client->last_name??"",
            'image'=>$this->client->image??"",
            'id'=>$this->id,
            'Skill'=>ShowSkillForJobResource::collection(SkillJob::where('job_id',$this->id)->get()),
        ];
    }
}
