<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ServiceList extends Model
{
    use HasFactory;
    protected $guarded = ['id'];

    public function listable()
    {
        return $this->morphTo('listable');
    }

    public function clientList()
    {
        return $this->morphTo('clientList');
    }
}
