<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SocialMedia extends Model
{
    use HasFactory;

    protected $table = 'social_medias';
    protected $fillable = [
        'name'
    ];

    public function users()
    {
        return $this->morphedByMany(User::class, 'social_mediable');
    }

    public function companies()
    {
        return $this->morphedByMany(Company::class, 'social_mediable');
    }
    public function clien()
    {
        return $this->morphTo();
    }

}
